package com.gic.haoban.manage.api.util;

import com.google.common.collect.Sets;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @author mozhu
 * @date 2022/5/11 15:19
 */
public class RolesListUtils {

    /**
     * 合并list
     *
     * @param list1
     * @param list2
     * @return
     */
    public static List<String> mergeList(List<String> list1, String list2) {
        //取交集
        Sets.SetView<String> intersection = Sets.intersection(Sets.newHashSet(list1), Sets.newHashSet(list2));
        return intersection.stream().collect(Collectors.toList());
    }

}
